commoble.exmachina.data

## Class ConnectorFactoryTypeAdapter

- java.lang.Object
- - commoble.exmachina.data.ConnectorFactoryTypeAdapter

All Implemented Interfaces:
  com.google.gson.JsonDeserializer<commoble.exmachina.api.ConnectorFactory>

    public class ConnectorFactoryTypeAdapter
    extends java.lang.Object
    implements com.google.gson.JsonDeserializer<commoble.exmachina.api.ConnectorFactory>

### Field Summary

Fields
`static ConnectorFactoryTypeAdapter` `INSTANCE`

### Constructor Summary

Constructors
Constructor and Description
`ConnectorFactoryTypeAdapter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`commoble.exmachina.api.ConnectorFactory` `deserialize(com.google.gson.JsonElement json, java.lang.reflect.Type typeOfT, com.google.gson.JsonDeserializationContext context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final ConnectorFactoryTypeAdapter INSTANCE

### Constructor Detail

#### ConnectorFactoryTypeAdapter

    public ConnectorFactoryTypeAdapter()

### Method Detail

#### deserialize

    public commoble.exmachina.api.ConnectorFactory deserialize(com.google.gson.JsonElement json,
                                                               java.lang.reflect.Type typeOfT,
                                                               com.google.gson.JsonDeserializationContext context)
                                                        throws com.google.gson.JsonParseException

Specified by:
  `deserialize` in interface `com.google.gson.JsonDeserializer<commoble.exmachina.api.ConnectorFactory>`
Throws:
  `com.google.gson.JsonParseException`